#ifndef CAMERADISPLAY_H
#define CAMERADISPLAY_H

#include <QWidget>

QT_BEGIN_NAMESPACE
namespace Ui { class CameraDisplay; }
QT_END_NAMESPACE

class CameraDisplay : public QWidget
{
    Q_OBJECT

public:

    enum CameraState {NG, OK, UNKNOW};


    CameraDisplay(QWidget *parent = nullptr);
    ~CameraDisplay();

    void setIndex(const QString& index);
    void setTitle(const QString& title);
    void setState(CameraState state);

    void setContent(const QString& content);

signals:
    void clickIndex(const QString& index, const QString& title, const QString& state);

protected:
    void paintEvent(QPaintEvent* e);

private:
    Ui::CameraDisplay *ui;
};
#endif // CAMERADISPLAY_H
